syms x;

a=0;
b=1;
T=[a a b b ];
X=sym([0 0 1/2 1]);
Dx=diff_div(T,X);
Px=eval_horner(x,T(1:end-1),Dx);
Ppx=diff(Px);
Fx=inline(vectorize(Px));
disp('\Pi_3');
disp(Px);

a1=0;
T=[a1 a1];
X=[subs(Px,x,a1),subs(Ppx,x,a1)];
Dx=diff_div(T,X);
P1x=eval_horner(x,T(1:end-1),Dx);
F1x=inline(vectorize(P1x));
disp('tangente en 0');
disp(P1x);

a2=1;
T=[a2 a2];
X=[subs(Px,x,a2),subs(Ppx,x,a2)];
Dx=diff_div(T,X);
P2x=eval_horner(x,T(1:end-1),Dx);
F2x=inline(vectorize(P2x));
disp('tangente en 1');
disp(P2x);


Ng=1000;
ep=0.3;
xg=linspace(0,1,Ng);
xg1=linspace(a1-ep,a1+ep,Ng);
xg2=linspace(a2-ep,a2+ep,Ng);
plot(xg,Fx(xg),xg1,zeros(1,Ng),xg2,F2x(xg2),a1,Fx(a1),'o',a2,Fx(a2),'o');
axis equal;
legend('\Pi_3','tangente en 0','tangente en 1','location','best');